Plugin Name: WPMU DEV Dashboard
Author: Aaron Edwards

Change Log:
----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.29 - 19/05/2025 - Hendrawan
- Enhance: Improve Analytics synchronization with The Hub

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.28 - 25/11/2024 - Joel
- Enhance: Improved site health information on Hub.
- Enhance: Improvements in plugin update error handling.
- Fix: Static cache conflicts with analytics tracking.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.27 - 19/11/2024 - Joel
- Fix: Function _load_textdomain_just_in_time was called incorrectly.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.26 - 03/04/2024 - Joel
- Enhance: Update UI library and images.
- Enhance: Hub sync request.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.25 - 11/03/2024 - Joel
- Enhance: Update libraries.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.24 - 05/02/2024 - Joel
- Enhance: Logout confirmation.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.23 - 23/11/2023 - Joel
- Fix: Duplicate hub sync requests.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.22 - 17/10/2023 - Joel
- Enhance: Permission management.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.21 - 07/09/2023 - Joel
- Fix: Wrong transient usage.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.20 - 05/09/2023 - Joel
- Enhance: PHP compatibility.
- Enhance: Do not skip activation hooks on plugin activation.
- Enhance: Performance improvements in translation updates.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.19 - 15/08/2023 - Joel
- Enhance: Update Shared UI.
- Fix: Scheduled syncing not working.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.18 - 25/01/2023 - Joel
- Enhance: Security improvements.
- Enhance: Handle new login errors.
- Enhance: Update icons.
- Fix: WooCommerce compatibility issues with Hub.
- Fix: Incorrect SSO user ID when an admin user is removed from the permissions.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.17 - 21/10/2022 - Joel, Hendrawan
- Enhance: Security improvements.
- Enhance: Update Shared UI.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.16 - 12/09/2022 - Joel
- Fix: Unable to grand support access.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.15 - 30/08/2022 - Joel
- New: Hosting Add-on on the Free Hub.
- Enhance: Upgrade notices.
- Fix: Wrong settings URL for SmartCrawl.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.14 - 15/07/2022 - Joel
- Enhance: Plugin updates.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.13 - 01/06/2022 - Joel
- Enhance: Plugin updates.
- Enhance: Bulk deactivation logic.
- Enhance: Welcome screen after the login.
- Enhance: Cleanup login screen UI.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.12 - 04/04/2022 - Joel
- New: Sign in with Google.
- Enhance: Update SUI.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.11 - 28/03/2022 - Joel
- New: Support for Hub Team member login.
- Enhance: Optimize DB queries.
- Enhance: Update SUI.
- Fix: Notice script is missing.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.10 - 16/03/2022 - Joel
- Enhance: Optimize settings management.
- Enhance: Optimize DB queries.
- Enhance: Use WP's ThickBox modal for changelogs.
- Enhance: Hide non-admin users on permission settings.
- Fix: Hub updates are failing on inactive sites.
- Fix: Translation updates not working on certain membership types.
- Fix: SmartCrawl menu labels are excluded from white-labeling.
- Fix: Style issues on changelog modal.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.9 - 23/02/2022 - Joel
- New: Integration with WP Consent API and WPMUDEV Analytics.
- New: API for replacing Pro and Free plugins from Hub.
- Fix: Requests from the Hub is failing on WP Engine hosted sites.
- Fix: SSO login not working on newly created sites.
- Fix: Support tickets are hidden in some cases.
- Fix: PHP warnings.
- Fix: SUI select is conflicting with checkboxes.
- Fix: Inconsistent active/inactive status of plugins on Hub.
- Fix: Tooltip is adding scrollbar when connected to a custom API server.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.8 - 26/12/2021 - Joel
- Fix: Dashboard plugin is hidden from WP CLI.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.7 - 21/12/2021 - Joel
- Enhance: Permission settings.
- Enhance: New user type support.
- Enhance: Documentation links.
- Enhance: Custom roles support for Analytics.
- Enhance: Better error messages for bulk delete.
- Fix: Conflict with Defender login masking and Hub requests.
- Fix: Analytics stats mismatch between Hub and Dashboard.
- Fix: Wrong analytics report periods.
- Fix: PHP warning notices.
- Fix: Autocomplete search not showing correct stats.
- Fix: Scroll not working after plugin installation.
- Fix: Staff login cookies are not removed after logout.
- Fix: Top pages list is hidden in some cases.
- Fix: Wrong translation update notifications.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.6 - 10/11/2021 - Joel
- Enhance: Optionally overwrite existing plugins using zip or URL from Hub.
- Enhance: Premium plugins and themes updates from Hub & Automate.
- Enhance: Improve analytics widget UX.
- Enhance: Remove redundant footer links.
- Enhance: SSO setup on the login page.
- Enhance: Update analytics metric names.
- Fix: Deprecated jQuery functions.
- Fix: Wrong translation update notifications.
- Fix: Plugin configuration links are not working.
- Fix: Modal overlay is not removed after closing modals.
- Fix: Wrong date value in analytics chart.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.5 - 08/10/2021 - Joel
- Fix: Hub plugin updates are failing due to a fatal error.
- Fix: Automate is blocking cron jobs.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.4 - 29/09/2021 - Joel
- New: Ability to reset plugin settings.
- New: Optional data and settings cleanup on plugin uninstallation.
- New: Ability to configure support tickets visibility from Hub.
- New: Ability to force sync from Hub.
- Enhance: Premium plugins and themes updates with Automate.
- Enhance: Analytics settings UX.
- Enhance: Hide analytics widget if no metrics are selected.
- Enhance: SSO authentication process.
- Enhance: Plugins bulk action confirmation notice.
- Fix: Hidden metrics are still visible on the analytics widget.
- Fix: Wrong colspan for update notifications.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.3 - 26/08/2021 - Joel
- Enhance: Update analytics metrics.
- Enhance: White label improvements.
- Enhance: User search UX in permission settings.
- Enhance: Hide the unwanted activate button on Dashboard.
- Enhance: Remove extra confirmation modal when installing plugins.
- Fix: SSO not working when activated from Hub.
- Fix: Error messages on analytics API.
- Fix: Conflict with Mailster plugin.
- Fix: Scroll bar is hidden after closing modals.
- Fix: Wrong message for Install bulk action.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.2 - 19/07/2021 - Joel
- New: Option to hide "What's new" model in Whitelabel settings.
- Enhance: Allow auto-updates to be disabled from WP plugins page.
- Enhance: Easier management of user permissions.
- Enhance: Allow limited HTML tags in Whitelabel footer text.
- Enhance: Whitelabel settings tabs.
- Enhance: Hub APIs.
- Enhance: PHP 8.0 support.
- Fix: Permissions reset during plugin activation.
- Fix: Empty search results notice always shown.
- Fix: Unable to remove original admin from permission settings.
- Fix: The site is being removed from Hub after the cron job.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.1 - 22/06/2021 - Joel
- New: White label plugin menu labels and icons.
- New: "Install & Activate" bulk option for plugins.
- Enhance: Compatibility with premium plugins and themes updates in Hub.
- Enhance: Upgrade Shared UI library.
- Enhance: Log errors only if WPMUDEV_API_DEBUG is defined as true.
- Enhance: Update plugin icons for consistency.
- Enhance: Bulk actions select.
- Enhance: Removed unused styles and scripts.
- Fix: Support link is broken in the notice.
- Fix: Wrong translation update notification.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.11.0 - 10/05/2021 - Ivan, Joel
- New: Link logo by URL for whitelabelling.
- New: New features highlights on plugin updates.
- New: Hub endpoint for enabling SSO.
- Enhance: Update changelog modal design.
- Enhance: WP 5.8 support.
- Enhance: New plans support.
- Enhance: Analytics page for restricted membership plans.
- Fix: Whitelabel not working as expected in WP 5.5
- Fix: Extend access button not working for new membership plans.
- Fix: Main menu title is not translatable.
- Fix: SSO not working for some memberships.
- Fix: Custom logo is not appearing in after enabling whitelabel.

----------------------------------------------------------------------
----------------------------------------------------------------------

4.10.8.1 - 15/04/2021 - Aaron, Ivan
- Fix: access to undefined index in template

----------------------------------------------------------------------
----------------------------------------------------------------------

4.10.8 - 15/04/2021 - Aaron, Ivan
- Add: correct error message for sign in with banned account

----------------------------------------------------------------------

4.10.7 - 12/03/2021 - Aaron, Ivan
- Enhance: Change all URLs to wpmudev.com

----------------------------------------------------------------------

4.10.6 - 12/02/2020 - Aaron, Ivan
- Fix: Upgrade Forminator Free to Pro on Dashboard Sign In

----------------------------------------------------------------------

4.10.5 - 10/08/2020 - Aaron, Ivan
- Fix: Small fixes and stability improvements
- Fix: Match grant support access icon in side menu with content

----------------------------------------------------------------------

4.10.4 - 10/06/2020 - Aaron, Ivan
- Fix: Small fixes and stability improvements

----------------------------------------------------------------------

4.10.3 - 09/21/2020 - Aaron, Ivan
- Fix: Plugins bulk actions position wrong in Firefox
- Fix: Some URLs are pointing to the Hub 1
- Fix: Improve description of white label Docs setting
- Add: Allow JWT sign in for the Hub Client

----------------------------------------------------------------------

4.10.2 - 09/10/2020 - Aaron, Ivan
- Fix: Small fixes and stability improvements

----------------------------------------------------------------------

4.10.1 - 08/27/2020 - Aaron, Ivan
- Fix: Translations Update modal closes before update is finished
- Fix: Update documentation links on Analytics and Whitelabel pages
- Fix: Fix php notices on Plugins and Main page

----------------------------------------------------------------------
----------------------------------------------------------------------

4.10.0 - 08/20/2020 - Aaron, Ivan
- Add: Split Tools into separate Whitelabel and Analytics pages
- Add: Hide Dashboard from plugin list when Whitelabeling is active
- Improvement: Prevent directory listing for all directories
- Fix: Ensure compatibility with WP 5.5
- Fix: Support access remains active after Dashboard is deactivated
- Fix: Click at View Changelog more than once runs plugin update
- Fix: Support Ticket display on the main page and on My Tickets page
- Fix: PHPSecLib's random crypt not compatible with PHP 7.3
- Fix: Blank content showing if Check Again is clicked on Settings and Support pages
- Fix: Whitelabel page not showing correct situation for expired membership
- Fix: Modals not closing properly on various close buttons

----------------------------------------------------------------------

4.9.4 - 06/18/2020 - Aaron, Ivan, Biplav
- Fix: improve display of Snapshot versions

----------------------------------------------------------------------
4.9.3 - 06/15/2020 - Aaron, Ivan, Biplav
- Improvement: Reset OPcache on plugin update.

----------------------------------------------------------------------

4.9.2 - 06/09/2020 - Aaron, Ivan, Biplav
- Add: Improve Plugins page performance

----------------------------------------------------------------------

4.9.1 - 06/03/2020 - Aaron, Ivan, Biplav
- Add: Onboarding experience improvements
- Fix: Error when deleting plugin from the Hub
- Fix: Total active plugins count not correct on MU sites
- Fix: include "Improvements handling Snapshot-v4 release"

----------------------------------------------------------------------

4.9.0 - 06/03/2020 - Aaron, Ivan, Biplav
- Add: Onboarding experience improvements
- Fix: Error when deleting plugin from the Hub
- Fix: Total active plugins count not correct on MU sites

----------------------------------------------------------------------

4.8.2 - 05/28/2020- Aaron, Ivan, Biplav
- Add: Improvements handling Snapshot-v4 release.

----------------------------------------------------------------------

4.8.1 - 03/10/2020- Aaron, Ivan, Biplav
- Fix: Bugs causing styles to stop rendering

----------------------------------------------------------------------
4.8.0 - 03/10/2020- Aaron, Ivan, Biplav
- Add: Translation updates for the premium plugins
- Add: More white labeling options by linking Branda
- Improvement: Accessibility improvements on the Dashboard pages
- Improvement: Analytics metrics comparisons improved
- Improvement: Branding logo ( Whitelabels ) is now protected and can't be deleted by unauthorized users
- Fix: Configuration links for SmartCrawl
- Fix: A typo on the plugin install notices
- Fix: Hub requests not working in some instances

----------------------------------------------------------------------
4.7.5 - 01/02/2020 - Aaron, Ivan, Biplav
- Enhance: Update messages for new membership plans when site limit is reached
- Fix: Typo in text description on the Dashboard > Resources widget
- Fix: Snapshot not being able to fetch `site_id`

----------------------------------------------------------------------
4.7.4 - 12/16/2019 - Aaron, Ivan, Biplav
- Improvement: New and improved dashboard UI
- Improvement: Return specific error code for a permissions error
- Improvement: Add loading states to the plugin list page
- Improvement: Extend the white labeling functionality to subsite admins
- Fix: Minor improvements on analytics chart
- Fix: Staff photo not displaying on recent support access
- Fix: WordPress notices not displaying on the plugin page
- Fix: Improvements on the plugins bulk actions

----------------------------------------------------------------------
4.7.3.5 - 10/18/2019 - Aaron, Ivan, Biplav
- Improvement: Better handling of + sign in the email address for SSO ( Single Sign-On )

----------------------------------------------------------------------
4.7.3.4 - 10/16/2019 - Aaron, Ivan, Biplav
- Fix: Minor improvements

----------------------------------------------------------------------
4.7.3.3 - 10/14/2019 - Aaron, Leonidas, Biplav
- Add: Minor stability improvements

4.7.3.2 - 08/08/2019 - Aaron, Leonidas, Biplav
----------------------------------------------------------------------
- Improvement: Added dashboard notice about Single Sign On ( SSO ) settings
- Add: Single Sign On ( SSO ) can now be enabled from the getting started wizard on the Hub

4.7.3.1 - 07/17/2019 - Aaron, Leonidas
----------------------------------------------------------------------
- Improvement: Automatically sync with the Hub when enabling SSO from Dashboard settings

4.7.3 - 07/16/2019 - Aaron, Leonidas, Biplav
----------------------------------------------------------------------
- Add: Single Sign-On for The Hub (and also hosting!)
- Improvement: New styling for analytics chart makes it easier to read when you've had the same number of views on consecutive days
- Improvement: Add external IP address to system info (for easier checking of blacklist status).

4.7.2 - 07/01/2019 - Aaron, Leonidas, Biplav
----------------------------------------------------------------------
- Fix: When upgrading multiple plugins from FREE to PRO, some plugins get deactivated
- Improvement: Add text informing the $19 users of having an option to add a hosted site in the Hub
- Improvement: Update the Documentation links
- Improvement: Update the general error strings across the site
- Fix: The typo in the help text on the Tools > Whitelabel menu item
- Fix: The typo in the Permissions / Add User
- Fix: Getting an error while updating the plugins

4.7.1.3 - 06/10/2019 - Aaron, Biplav
----------------------------------------------------------------------
- Improvement: Better calculation of Analytics on dashboard widget.

4.7.1.2 - 06/04/2019 - Aaron, Leonidas
----------------------------------------------------------------------
- Improvement: Stability improvements

4.7.1.1 - 05/09/2019 - Aaron, Hendrawan
----------------------------------------------------------------------
- Fix: PHP notices on admin pages
- Fix: Empty content on Top Plugins and Top Releases

4.7.1 - 04/10/2019 - Aaron, Hendrawan
----------------------------------------------------------------------
- Fix: WPMU DEV Auto Install Compatibility

4.7 - 10/19/2018 - Aaron, Leighton, Hendrawan
----------------------------------------------------------------------
- Improvement: Brand new UI/UX
- Improvement: Better Onboarding process
- Add: Displayed analytics metrics configuration

4.6.1 - 02/26/2019 - Aaron, Hendrawan
----------------------------------------------------------------------
- Fix: Automate WP core update from 5.0.x to 5.1+

4.6 - 09/24/2018 - Aaron, Leighton, Hendrawan
----------------------------------------------------------------------
- Add: new whitelabeled analytics service!
- Add: new white-label WPMU DEV plugins settings
- Improvement: Only redirect to login when activating the Dashboard plugin itself
- Improvement: Accessibility for login screen

4.5.2 - 04/26/2018 - Aaron
----------------------------------------------------------------------
- Important security fix for staff remote logins and protect against timing attacks (props Steve Truman @a3rev)
- Fix a rare fatal error during activation in some WP installs
- Fix a missing string in translations

4.5.1 - 04/11/2018 - Aaron
----------------------------------------------------------------------
- Fix PHP 5.2 compatibility issue

4.5 - 04/10/2018 - Aaron
----------------------------------------------------------------------
- Support plugin icons in update-core.php list
- Add support for Hub upgrades of premium plugins that use the EDD updater class
- Make support search open in a new tab
- Fix bugs causing dash notice to show multiple times (only display the latest version)
- Optimize and fix encoding issues when saving/caching options
- Separate get latest projects and Hub sync API calls for efficiency
- Lower server and API load by preventing duplicate Hub sync calls if not necessary
- Implement exponential backoff in API calls in case of API outages
- Retire themes sections
- Update login error messages
- Fix update links in plugin popovers
- Various text changes and updates
- Fix bug where activate button could show when plugin already activated
- Fix missing or incorrect configure links in multisite plugin info popovers
- Logout and remove site from Hub when deleting/uninstalling the plugin
- Remove site from Hub immediately when logging out manually
- Fix compatibility issue with Ultimate Branding - Admin Help Content module

4.4 - 9/21/2017 - Aaron & Alex
----------------------------------------------------------------------
- Add WP core upgrade support from Hub/Automate
- Improve Hub remote call error responses
- Switch background Dashboard autoupdates to use core method
- Fix some syncing cache issues delaying the detection of available updates
- Accessibility improvements for screenreaders

4.3.2 - 7/31/2017 - Aaron & Ricardo
----------------------------------------------------------------------
- Make Hub initiated actions faster/more efficient by only syncing details when necessary
- Improve debug log detail for Hub initiated actions
- Show detailed error messages on local install failures
- Fix various responsive UI style issues
- Fix broken search box on Support page
- Various spelling and text fixes

4.3.1 - 6/1/2017 - Aaron & Ricardo
----------------------------------------------------------------------
- Redesign of the login process, headers, and home page UX
- Add System Info tab to login page for debugging help
- Allow HTML in features lists (Upfront Builder link)
- Fix System info back button link
- Text adjustments

4.3 - 1/30/2017 - Aaron
----------------------------------------------------------------------
- Full rewrite of remote API, to support Update/Install/Activate/Deactivate/Delete from hub
- Register all third party plugins/themes with Hub even if they don't have available updates
- Internal API for other WPMU DEV plugins to register their own Hub actions
- Support updates and installs from Hub on WP Engine hosting
- Improve error detection and messages on update/install
- Fix wrong date string on support access box and last refreshed message
- Fix style issues on various screens
- Fix possible infinite loop when resetting api key remotely

4.2.1 - 12/15/2016 - Aaron
----------------------------------------------------------------------
- Comprehensive support for RTL languages
- Fix missing strings in textdomain - props @Julian
- Fix changelog showing error when non-allowed user clicks the link on plugins list
- Remove broken more info links on update core list for non-allowed users
- Bypass API cache when logging in to avoid hub sync issues
- Fix WooCommerce notices showing up on Dashboard pages with crazy styles
- Fix various style issues

4.2 - 09/28/2016 - Aaron
----------------------------------------------------------------------
- Add support for wp.org repo updates from Hub!
- Revoke outstanding support access when logging out
- Optimize remote data refresh calls and duplicate queries
- Add clearer error messages when logging into localhost installs
- Don't show update notices on subsite plugin list pages in multisite, like core
- Fix style issues of update notices for activated plugin in core plugins list
- Fix premium/wp.org theme slug conflicts
- Remove premium/wp.org slug conflicts for Hub wp.org updates
- Update WPMU DEV urls

4.1.2 - 08/17/2016 - Aaron
----------------------------------------------------------------------
- WP 4.6 compatibility fixes
- Add support for upcoming Upfront Builder plugin (dependency management)
- Fix PHP7 compatibility issue on system info page
- Use new changelog on single site themes page

4.1.1 - 07/21/2016 - Aaron
----------------------------------------------------------------------
- Enable shiny updates on core plugins list for WPMU DEV plugins
- Fix support search location and icon click
- Fix core update messages not being customized with our changelog
- Fix WPMU DEV plugins on core updates page not showing WP version compatibility
- Fix missing Upfront changelogs on Network Themes list
- Show changelog when updating Upfront on WPMU DEV Dashboard->Themes page
- Fix date time display when a geographic timezone is selected in settings instead of offset
- Fix out of date upgrade membership urls
- Change popular plugins widget selection criteria
- Show all products to legacy single members
- Fix available updates not showing for single members for products outside their membership
- Fix updates not showing in core areas when logged out of Dashboard
- Fix theme details button for active theme popup self closing in single site
- Make popup close buttons accessible to screen readers
- Fix false permissions error when updating WPMU DEV Dashboard on WPMU DEV Dash->Plugins list
- Fix redirect to login page on Dashboard activation
- Update core available update count bubbles after updating products in the Dashboard
- Fix broken "Requires xxx" messages on incompatible plugins

4.1.0 - 06/06/2016 - Philipp
----------------------------------------------------------------------
Enables the brand new "Update All" function in Hub! Also includes several small bugfixes and improvements.

- Add support for the lightning fast "Update All" feature in Hub!
- Add entry for WPMU DEV Dashboard to the "My Sites" menu in multisite installations.
- Improved default display order of plugins and themes in WPMUDEV pages.
- Improved plugin activation refreshes the page to display the plugin menu item.
- Disable auto-update function for legacy plugins and themes that cannot be updated via the WPMU DEV Dashboard.
- Fix remote access expiration time to use timezone defined by WordPress.
- Fix date formatting issues in the Support tab, that displayed a weird expiration time for support access.
- Fix a PHP warning / missing details inside the "Update Theme/Plugin" popup
- Fix some links that point to the WPMU DEV website.
- Fix display of special characters inside Notes-field for support access.
- Fix rare fatal error about `Call function has_cap() on boolean` during plugin activation.
- A handful of other small improvements, like fixing typos
- Improve action syncing with Hub when performed on core pages

4.0.9 - 3/28/2016 - Philipp
----------------------------------------------------------------------
- Improved error messages

4.0.8 - 2/09/2016 - Philipp
----------------------------------------------------------------------
- Themes can now be enabled/disabled network-wide on multisite installations.
- For those who really want to use it: The Logout button is working again!
- Improve performance of the Dashboard.

- Improve plugin performance to avoid 502 errors on WP Engine admin sites.
- Fix install logic to first install Upfront parent before a child theme is installed.
- Fix install logic to not enable newly installed plugins network-wide anymore.
- Fix an issue that caused lots of duplicate SQL queries on wp-admin.
- Fix for a few sites that had problems with new Hub features like Uptime check.
- Fix recognition of active themes. Now themes-list on the Hub displays correct theme status.
- Fix some PHP notices.

4.0.7 - 2/03/2016 - Philipp
----------------------------------------------------------------------
- Available updates are now displayed above other plugins/themes.
- We made the Dashboard much more reliable!

- Add much smarter project-caching to reliably detect available updates.
- Add check to automatically update Upfront-parent when a child theme is updated.
- Fix fatal error (has_cap) when admin user was deleted.
- Fix incorrect links in the search-results of the main Dashboard page.
- Fix a possible infinite-loops that blocked wp-admin for the superadmin in rare cases.
- Add an additional timeout to really prevent infinite-loops in any case!
- Remove the Instructions popup from plugin; you can find Instructions on the website instead.
- Many small changes to polish the UI and generally make plugin more stable.

4.0.6 - 1/27/2016 - Philipp
----------------------------------------------------------------------
- Remote updates are working now!

- Fixed the message "Plugin is at the latest version" when trying to remote-update a plugin.
- Fixed notice on WordPress plugins/themes page about undefined variable "can_install".
- A lot of improvements to make those updates reliable.


4.0.5 - 1/25/2016 - Philipp
----------------------------------------------------------------------
- Plugin just got faster and more stable!

- Added our own changelog to the default WordPress Updates page for WPMUDEV plugins.
- Fixed another problem for members with Single-Membership.
- Fixed an issue about "undefined function is_plugin_active".
- Fixed an incompatibility with php 5.4 and lower.
- Refactored API logic to prevent redundant API calls, which makes you site faster.
- Improve error logging, especially with `WPMUDEV_API_DEBUG` flag enabled.
- Countless small tweaks in the UI.

4.0.4 - 1/18/2016 - Philipp
----------------------------------------------------------------------
- Important: Turn off automatic updates in Manage page to upgrade to this version!

- Fixed the automatic updates feature, if you enable it. The Dashboard plugin will stay up to date from now on!
- Our members with a Single-Membership can now use the Plugins and Themes page to install updates.

4.0.3 - 1/15/2016 - Philipp
----------------------------------------------------------------------
- Add a new notification in Themes page when an update for Upfront parent is available
- Fix bug that would show dismissed Dashboard notifications again after each API sync
- Fix incorrect message "Theme is at latest version" during theme update
- Fix the URL of "Get Support" button on the Support page
- Add new button to Support page to open a new ticket if no tickets are open
- Display error message if plugin or theme installation fails
- Fix the "Back to Dashboard" link that is displayed right after update from v 3.5
- Fix permission check to not display notifications while logged out
- Fix several small PHP warnings, JS errors and layout issues

4.0.2 - 1/13/2016 - Philipp
----------------------------------------------------------------------
- Fix an incorrectly initialized dashboard setting, that could cause troubles with other WPMUDEV plugins
- Fix several minor UI issues (borders, margins, ...)
- Fix problem with empty dashboard after update forcing an API-refresh on first activation

4.0.1 - 1/13/2016 - Philipp
----------------------------------------------------------------------
- Fix broken dashboard layout that was caused by certain third-party plugins.
- Fix a typo.

4.0.0 - 1/13/2016 - Philipp
----------------------------------------------------------------------
- Complete redesign with new UI

3.5.3 - 6/05/2015 - Aaron
----------------------------------------------------------------------
- Fix: Support for transition of old Membership & Protected Content to Membership2

3.5.2 - 2/05/2015 - Aaron
----------------------------------------------------------------------
- Fix: View details links on plugins with wp.org slug conflict going to wrong place
- Fix: Free members incorrectly getting shown install/autoupdate buttons

3.5.1 - 1/21/2015 - Aaron
----------------------------------------------------------------------
- Fix: Change activation link for Upfront theme if parent not installed to prevent errors
- Fix: Don't show activate link prematurely when installing Upfront parent in background
- New: Give better progress feedback on slow install of Upfront parent

3.5 - 1/20/2015 - Aaron
----------------------------------------------------------------------
- New: Support for Upfront themes!
- New: Toggle/hide legacy themes
- Fix: URL in connection error text was wrong
- Fix: Enable error feedback for one-click theme installs

3.4.9 - 11/14/2014 - Aaron
----------------------------------------------------------------------
- New: Prompt to grant support access after submitting a ticket
- Fix: Add workaround for poorly coded Mojo Marketplace/github-plugin-updater
- Fix: Stop running and deregister crons on subsites in multisite
- Fix: Remove unused free projects list from single member dashboard
- Fix: Minor css padding issue in WP 4.0

3.4.8 - 11/6/2014 - Aaron
----------------------------------------------------------------------
- New: Support single membership autoupdates for packaged products (CoursePress + MarketPress)

3.4.7 - 10/9/2014 - Aaron
----------------------------------------------------------------------
- Fix: Adjust css to avoid triggering a Comodo firewall rule on some hosts

3.4.6 - 8/21/2014 - Aaron
----------------------------------------------------------------------
- Fix: Install button never showed complete in project details window
- Fix: Conflicts with other FontAwesome plugins

3.4.5 - 7/16/2014 - Aaron
----------------------------------------------------------------------
- Fix: Check system compatibility before allowing auto-installs from notices and widget
- Fix: Don't show activate links on listings page if project is incompatible
- Code reformatting and documentation improvements

3.4.4 - 5/1/2014
----------------------------------------------------------------------
- Fix: Change upgrade urls to route through login on WPMU DEV
- Fix: Fix numerous upgrade/install messages to link to configure instead if no API key set

3.4.3 - 4/17/2014
----------------------------------------------------------------------
- New: Added plugin icon as font for WP3.8+ versions
- New: List PHP extensions under system info page
- Fix: More graceful handling of API connection issues and more detailed debug info
- Fix: Minor CSS fixes (resolved issue with rep points hover overlapping main admin menu)
- Fix: Add a maxlength to the support question title to prevent being cuttoff

3.4.2 - 2/12/2014
----------------------------------------------------------------------
- New: Alphabetically order plugin list in support dropdown
- Fix: Change support page behavior for sites with updates disabled
- Fix: Add decimal to default menu position of avoid other plugin conflicts
- Fix: bug that could cause incompatibility with other 3rd party updaters (props Chris Aprea)
- Fix: Various styling issues

3.4.1 - 12/16/2013
----------------------------------------------------------------------
- Enable remote support access tab
- Text changes to avoid confusion
- Minor style adjustments

3.4 - 12/13/2013
----------------------------------------------------------------------
- WP 3.8 styles compatibility!
- Support for optional background autoupdates
- Improve the support page view, adding instructions, system info, remote access
- Show login screen by default instead of signup
- Show configure link on listings when supported
- Show activate/deactivate links on listings
- Show usage instructions links on listings
- Integration with new dashboard notices
- Make listings default order by popularity
- Push incompatible products to bottom of listings
- Clean depreciated code
- Fix theme changelog popup from themes grid page
- Honor update_themes capability
- Retire upgrade notices
- Fix upgrade instead of configure links showing before API key is set

3.3.3 - 10/10/2013
----------------------------------------------------------------------
- Adjust free user behavior
- Fixed problems with plugin search on dashboard page
- Adjusted wording for Q&A posting
- Update default pot language file

3.3.2 - 8/16/2013
----------------------------------------------------------------------
- Fix login bug introduced in 3.3.1

3.3.1 - 8/15/2013
----------------------------------------------------------------------
- Adjust free listings behavior
- Make login/signup secure
- Workaround for compatibility with Visual Composer plugin

3.3 - 6/13/2013
----------------------------------------------------------------------
- Update for new WPMU DEV plans

3.2.6 - 4/30/2013
----------------------------------------------------------------------
- Fix WPMU DEV News dashboard widget
- Support for WP 3.6 (jQuery 1.9)
- Fix trailing whitespace issue

3.2.5 - 1/23/2013
----------------------------------------------------------------------
- Fix double updating of themes when clicking "Update all Themes" on Updates page

3.2.4 - 12/28/2012
----------------------------------------------------------------------
- Handle WPMU DEV API connection problems more gracefully, with helpful error message

3.2.3 - 12/17/2012
----------------------------------------------------------------------
- Remove any conflicting-slug local WPMU DEV plugins from WP update notifications
- A few more style compatibility updates for WP 3.5
- Fix memory leaks in Safari on Windows

3.2.2 - 12/14/2012
----------------------------------------------------------------------
- More style compatibility updates for WP 3.5
- Reset allowed user when reactivating the plugin
- Handle https admin areas better

3.2.1 - 12/11/2012
----------------------------------------------------------------------
- Style compatibility updates for WP 3.5
- allow override of menu location via define('WPMUDEV_MENU_LOCATION', 3);

3.2 - 9/26/2012
----------------------------------------------------------------------
- Rewrite Dashboard and Listings pages to be more useful to free or single members
- Fix numerous permission bugs and errors for free or single members
- Show incompatible products in listings, just disabled
- Redesigned the Support page
- Much improved notification handling of the 133 theme pack
- Added a filter to be able to exclude notifications of a specific plugin update

3.1.5 - 8/9/2012
----------------------------------------------------------------------
- Add no WPMUDEV_NO_AUTOACTIVATE define to be able to prevent activation in single site
- Fix errors on plugin upgrade
- Make 133 theme pack filtering more efficient

3.1.4 - 8/6/2012 - Mohanjith
----------------------------------------------------------------------
- Filter out unofficial update notifications for 133 theme pack

3.1.3 - 7/31/2012
----------------------------------------------------------------------
- Fix Installed & Activated message confusion on installing themes
- Fix some CSS compatibility issues in the plugin, props @Daniel
- Filter incompatible plugins from autosuggest list

3.1.2 - 6/23/2012
----------------------------------------------------------------------
- Added filter logic to convert images and JS to use https when admin area is using ssl.
- Modify permissions logic for admin menus. This should work correctly when the site has blocked install/update perms on plugins and themes. Like when setting DISALLOW_FILE_MODES in wp-config.php the Plugins and Themes sections are not displayed to the user.
- Improve handling of reset API keys
- Fix permissions bug for some foreign language WP distributions

3.1.1 - 5/24/2012
----------------------------------------------------------------------
- Fix bug where not showing themes as installed in Themes listings
- Limit Dashboard plugin to first admin user by default, and actually hide from all others
- Ability to use define("WPMUDEV_LIMIT_TO_USER", "1, 10"); to limit the entire plugin to certain admin users
- Change api url back to HTTP from HTTPS for compatibility with non CURL systems

3.1 - 5/20/2012
----------------------------------------------------------------------
- HUGE Update! Complete rewrite
- Redesign of everything
- Dashboard page view with reputation and history
- Plugin/Theme browsing pages
- Instant one-click plugin/theme installs from the dashboard
- Slideup product info/screenshots
- Instant searching, filtering, and ordering of listings
- Community page with forum activity
- Support page with instant support topic creation/monitoring from dashboard
- Membership and payment info in dashboard
- New dashboard widgets: News, quick links
- Support for central view of updates for all sites on WPMU DEV
- Ability to limit functionality to a specific user on client sites

3.0 - 2/25/2012
----------------------------------------------------------------------
- Beta release only

2.2 - 9/25/2011
----------------------------------------------------------------------
- Fix notices
- Stylize the admin notices to be prettier
- Gracefully handle permanent connection errors to the API server
- Add in a WPMU DEV plugin browser for finding and installing new plugins

2.1.3 - 7/16/2011
----------------------------------------------------------------------
- Added extra error checks and redundancy in case of API server problems

2.1.2 - 7/04/2011
----------------------------------------------------------------------
- WP 3.2 Compatibility

2.1.1 - 6/04/2011
----------------------------------------------------------------------
- Ajaxified dismiss links

2.1 - 3/03/2011
----------------------------------------------------------------------
- Added support for free WPMU DEV projects hosted on WordPress.org

2.0.2 - 3/03/2011
----------------------------------------------------------------------
- Fixed bug with api key saving

2.0.1 - 12/30/2010
----------------------------------------------------------------------
- Major rewrite! Required for the latest versions of WPMU DEV plugins.
- 3.1 compatibility
- Auto-updates for compatible themes/plugins. Bulk auto-upgrades as well.
- New release notices
- Optional special offer notices
- More admin notice control
- Transparent integration into the WordPress update system: Counts, plugin/theme pages with sorting
- Quick links to instructions and support
- Instant preview of changelogs

1.0.4 - 11/17/2010
----------------------------------------------------------------------
Switched to ms-admin.php from wpmu-admin.php
Updated API to support newer versions

1.0.3 - 03/31/2010
----------------------------------------------------------------------
Added ability to update data manually
Fixed version comparison

1.0.2 - 03/29/2010
----------------------------------------------------------------------
Fixed bug that kept all items (plugins/themes) from being discovered

1.0.1 - 02/17/2010
----------------------------------------------------------------------
Added option to disable admin notices.

1.0.0 - 12/15/2009
----------------------------------------------------------------------
Initial Release.


205418-1748291710-au